## org.jfree.data
Class PowerFunction2D

    java.lang.Object
      org.jfree.data.PowerFunction2D

All Implemented Interfaces:
  Function2D

public class PowerFunction2D
extends java.lang.Object
implements Function2D

A function of the form y = a * x ^ b.

Constructor Summary
`PowerFunction2D(double a, double b)` Creates a new power function.

Method Summary
`double` `getValue(double x)` Returns the value of the function for a given input ('x').

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PowerFunction2D

    public PowerFunction2D(double a,
                           double b)

  Creates a new power function.

Parameters:
  `a` - the 'a' coefficient.
  `b` - the 'b' coefficient.

Method Detail

### getValue

    public double getValue(double x)

  Returns the value of the function for a given input ('x').

  Specified by:
    `getValue` in interface `Function2D`
  Parameters:
    `x` - the x-value.
  Returns:
    the value.